精华内容
下载资源
问答
  • setuptools下载
    2020-04-29 14:16:37

    以前虚拟环境一下子就装好了, 今天多次尝试,发现错误信息总是如下

    D:\vir_env\supetset>virtualenv env
    Using base prefix 'c:\\python36'
    New python executable in D:\vir_env\supetset\env\Scripts\python3.exe
    Also creating executable in D:\vir_env\supetset\env\Scripts\python.exe
    Installing setuptools, pip, wheel...
    
      Complete output from command D:\vir_env\supetset\env\Scripts\python3.exe - set
    uptools pip wheel:
      Looking in links: c:\python36\lib\site-packages\virtualenv_support
    Collecting setuptools
      Downloading https://files.pythonhosted.org/packages/a0/df/635cdb901ee4a8a42ec6
    8e480c49f85f4c59e8816effbf57d9e6ee8b3588/setuptools-46.1.3-py3-none-any.whl (582
    kB)
    Exception:
    Traceback (most recent call last):
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_vendor\urllib3\response.py", line 360, in _error_catcher
        yield
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_vendor\urllib3\response.py", line 442, in read
        data = self._fp.read(amt)
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_vendor\cachecontrol\filewrapper.py", line 62, in read
        data = self.__fp.read(amt)
      File "c:\python36\Lib\http\client.py", line 449, in read
        n = self.readinto(b)
      File "c:\python36\Lib\http\client.py", line 493, in readinto
        n = self.fp.readinto(b)
      File "c:\python36\Lib\socket.py", line 586, in readinto
        return self._sock.recv_into(b)
      File "c:\python36\Lib\ssl.py", line 1009, in recv_into
        return self.read(nbytes, buffer)
      File "c:\python36\Lib\ssl.py", line 871, in read
        return self._sslobj.read(len, buffer)
      File "c:\python36\Lib\ssl.py", line 631, in read
        v = self._sslobj.read(len, buffer)
    socket.timeout: The read operation timed out
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\cli\base_command.py", line 179, in main
        status = self.run(options, args)
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\commands\install.py", line 315, in run
        resolver.resolve(requirement_set)
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\resolve.py", line 131, in resolve
        self._resolve_one(requirement_set, req)
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\resolve.py", line 294, in _resolve_one
        abstract_dist = self._get_abstract_dist_for(req_to_install)
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\resolve.py", line 242, in _get_abstract_dist_for
        self.require_hashes
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\operations\prepare.py", line 334, in prepare_linked_requi
    rement
        progress_bar=self.progress_bar
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\download.py", line 878, in unpack_url
        progress_bar=progress_bar
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\download.py", line 702, in unpack_http_url
        progress_bar)
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\download.py", line 946, in _download_http_url
        _download_url(resp, link, content_file, hashes, progress_bar)
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\download.py", line 639, in _download_url
        hashes.check_against_chunks(downloaded_chunks)
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\utils\hashes.py", line 62, in check_against_chunks
        for chunk in chunks:
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\download.py", line 607, in written_chunks
        for chunk in chunks:
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\utils\ui.py", line 159, in iter
        for x in it:
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_internal\download.py", line 596, in resp_read
        decode_content=False):
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_vendor\urllib3\response.py", line 494, in stream
        data = self.read(amt=amt, decode_content=decode_content)
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_vendor\urllib3\response.py", line 459, in read
        raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
      File "c:\python36\Lib\contextlib.py", line 99, in __exit__
        self.gen.throw(type, value, traceback)
      File "c:\python36\lib\site-packages\virtualenv_support\pip-19.0.3-py2.py3-none
    -any.whl\pip\_vendor\urllib3\response.py", line 365, in _error_catcher
        raise ReadTimeoutError(self._pool, None, 'Read timed out.')
    pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files
    .pythonhosted.org', port=443): Read timed out.
    ----------------------------------------
    ...Installing setuptools, pip, wheel...done.
    Traceback (most recent call last):
      File "c:\python36\lib\runpy.py", line 193, in _run_module_as_main
        "__main__", mod_spec)
      File "c:\python36\lib\runpy.py", line 85, in _run_code
        exec(code, run_globals)
      File "C:\Python36\Scripts\virtualenv.exe\__main__.py", line 9, in <module>
      File "c:\python36\lib\site-packages\virtualenv.py", line 793, in main
        symlink=options.symlink,
      File "c:\python36\lib\site-packages\virtualenv.py", line 1088, in create_envir
    onment
        install_wheel(to_install, py_executable, search_dirs, download=download)
      File "c:\python36\lib\site-packages\virtualenv.py", line 935, in install_wheel
    
        _install_wheel_with_search_dir(download, project_names, py_executable, searc
    h_dirs)
      File "c:\python36\lib\site-packages\virtualenv.py", line 1025, in _install_whe
    el_with_search_dir
        call_subprocess(cmd, show_stdout=False, extra_env=env, stdin=script)
      File "c:\python36\lib\site-packages\virtualenv.py", line 886, in call_subproce
    ss
        raise OSError("Command {} failed with error code {}".format(cmd_desc, proc.r
    eturncode))
    OSError: Command D:\vir_env\supetset\env\Scripts\python3.exe - setuptools pip wh
    eel failed with error code 2
    
    
    D:\vir_env\supetset>
    
    
    

    总结错误信息内容,是在
    Downloading https://files.pythonhosted.org/packages/a0/df/635cdb901ee4a8a42ec6
    8e480c49f85f4c59e8816effbf57d9e6ee8b3588/setuptools-46.1.3-py3-none-any.whl (582
    kB)
    Exception:

    之时报的错,表达的意思大致是模块下载太慢导致的网络问题,试了很多次仍然无法创建虚拟环境。
    网上有的博客说可能是中文路径、pip需要升级、python安装路径中有空格等,都没能解决问题。

    最后使用 virtualenv myenv --no-setuptools 成功创建虚拟环境,创建虚拟环境后又在虚拟环境下使用 pip install setuptools命令给虚拟环境装上setuptools.

    
    D:\vir_env\supetset>virtualenv env --no-setuptools
    Using base prefix 'c:\\python36'
    New python executable in D:\vir_env\supetset\env\Scripts\python3.exe
    Also creating executable in D:\vir_env\supetset\env\Scripts\python.exe
    Installing pip, wheel...
    done.
    

    可是下载模块的时候明明是pip下载失败,我不安装setuptools反而创建虚拟环境成功,并且立马再创建其他的虚拟环境也能成功,这其中究竟是什么原理就不清楚了。

    参考:https://www.cnblogs.com/hufulinblog/p/9824579.html

    从上午一直倒腾到下午,郁闷…
    2020-04-29 14.15写

    下午继续采坑:

    D:\vir_env\supetset>env\Scripts\activate
    
    
    (env) D:\vir_env\supetset>pip3 install sasl-0.2.1-cp36-cp36m-win_amd64.whl
    WARNING: Requirement 'sasl-0.2.1-cp36-cp36m-win_amd64.whl' looks like a filename
    , but the file does not exist
    Processing d:\vir_env\supetset\sasl-0.2.1-cp36-cp36m-win_amd64.whl
    ERROR: Could not install packages due to an EnvironmentError: [Errno 2] No such
    file or directory: 'D:\\vir_env\\supetset\\sasl-0.2.1-cp36-cp36m-win_amd64.whl'
    
    
    (env) D:\vir_env\supetset>cd D:\用户目录\下载
    
    (env) D:\用户目录\下载>pip3 install sasl-0.2.1-cp36-cp36m-win_amd64.whl
    Processing d:\用户目录\下载\sasl-0.2.1-cp36-cp36m-win_amd64.whl
    Collecting six
      Using cached six-1.14.0-py2.py3-none-any.whl (10 kB)
    Installing collected packages: six, sasl
    Successfully installed sasl-0.2.1 six-1.14.0
    
    (env) D:\用户目录\下载>cd D:\vir_env\supetset
    
    (env) D:\vir_env\supetset>pip3 install superset
    Collecting superset
      Downloading superset-0.30.1.tar.gz (42.0 MB)
         |                                | 30 kB 1.8 kB/s eta 6:24:17ERROR: Excepti
    on:
    Traceback (most recent call last):
      File "d:\vir_env\supetset\env\lib\site-packages\pip\_vendor\urllib3\response.p
    y", line 425, in _error_catcher
    
    (env) D:\vir_env\supetset>pip3 install sasl-0.2.1-cp36-cp36m-win_amd64.whl
    WARNING: Requirement 'sasl-0.2.1-cp36-cp36m-win_amd64.whl' looks like a filename
    , but the file does not exist
    Processing d:\vir_env\supetset\sasl-0.2.1-cp36-cp36m-win_amd64.whl
    ERROR: Could not install packages due to an EnvironmentError: [Errno 2] No such
    file or directory: 'D:\\vir_env\\supetset\\sasl-0.2.1-cp36-cp36m-win_amd64.whl'
    
    
    (env) D:\vir_env\supetset>cd D:\用户目录\下载
    
    (env) D:\用户目录\下载>pip3 install sasl-0.2.1-cp36-cp36m-win_amd64.whl
    Processing d:\用户目录\下载\sasl-0.2.1-cp36-cp36m-win_amd64.whl
    Collecting six
      Using cached six-1.14.0-py2.py3-none-any.whl (10 kB)
    Installing collected packages: six, sasl
    Successfully installed sasl-0.2.1 six-1.14.0
    
    
    
    
    
    
    ----
    (env) D:\用户目录\下载>pip3 install superset-0.30.1.tar.gz
    Processing d:\用户目录\下载\superset-0.30.1.tar.gz
        ERROR: Command errored out with exit status 1:
         command: 'd:\vir_env\supetset\env\scripts\python3.exe' -c 'import sys, setu
    ptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\ADMINI~1\\AppData\\Local\\Temp\\
    pip-req-build-0gvu9mc9\\setup.py'"'"'; __file__='"'"'C:\\Users\\ADMINI~1\\AppDat
    a\\Local\\Temp\\pip-req-build-0gvu9mc9\\setup.py'"'"';f=getattr(tokenize, '"'"'o
    pen'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.
    close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base 'C:\U
    sers\ADMINI~1\AppData\Local\Temp\pip-pip-egg-info-cvp7wvd5'
             cwd: C:\Users\ADMINI~1\AppData\Local\Temp\pip-req-build-0gvu9mc9\
        Complete output (3 lines):
        Traceback (most recent call last):
          File "<string>", line 1, in <module>
        ModuleNotFoundError: No module named 'setuptools'
        ----------------------------------------
    ERROR: Command errored out with exit status 1: python setup.py egg_info Check th
    e logs for full command output.
    
    ---
    (env) D:\用户目录\下载>pip3 install setuptools-46.1.3-py3-none-any.whl
    Processing d:\用户目录\下载\setuptools-46.1.3-py3-none-any.whl
    Installing collected packages: setuptools
    Successfully installed setuptools-46.1.3
    
    (env) D:\用户目录\下载>pip3 install superset-0.30.1.tar.gz
    Processing d:\用户目录\下载\superset-0.30.1.tar.gz
    Building wheels for collected packages: superset
      Building wheel for superset (setup.py) ... done
      Created wheel for superset: filename=superset-0.30.1-py3-none-any.whl size=426
    53772 sha256=82a449d1bc9871f631ae54727e286c5d87d1dfee5adfaa076ccaafce6876a94e
      Stored in directory: c:\users\administrator\appdata\local\pip\cache\wheels\b2\
    4e\07\6208a326951cc2b83ce0a3bcbd0b0778bf2b74962938e4eb88
    Successfully built superset
    Installing collected packages: superset
    Successfully installed superset-0.30.1
    

    在这里插入图片描述
    终于看到successfully 了 ,真心不易呀

    此刻 :2020-04-29 16.23

    参考:https://blog.csdn.net/folecld123/article/details/80705616
    https://www.jianshu.com/p/b02fcea7eb5b
    https://www.cnblogs.com/luweilehei/p/10644399.html#4564126

    更多相关内容
  • 安装python扩展包是一个比较麻烦的事情,首先你需要找到合适版本...不过,我今天交给大家一个工具的用法(setuptools),可以帮助你快速、简便的安装扩展库(扩展包)。首先从下面的参考资料里下载适合你的版本的set...

    安装python扩展包是一个比较麻烦的事情,首先你需要找到合适版本的扩展包,比如要选择32位还是64位,要选择最新版本还是最适合的版本,更难得是,你根本不知道去哪里下载。我刚学python的时候,也是自学嘛,什么都得自己摸索,安装一个包费老鼻子劲了。不过,我今天交给大家一个工具的用法(setuptools),可以帮助你快速、简便的安装扩展库(扩展包)。首先从下面的参考资料里下载适合你的版本的setuptools

    16a84fe10ef85856afee679053e9ccd2ba66cd6b.jpg

    下载下来以后,双击打开,看到安装界面,一直点击下一步

    50189b40102a04e2bd71f5f62b7aa010bd33c26b.jpg

    在这个界面,如果提示你没有找到python的安装路劲,你需要检查自己下载的setuptools是不是合适,点击下一步

    ed792abb19efa25f80c70dcf59828689a0463b68.jpg

    不要以为已经安装完成,我们需要设置path,打开计算机属性

    efb861bd4c7c34b3aa92fc0e5841037de0373168.jpg

    打开高级系统设置

    2a1ecb460596b81457037ab743d246fe464e2268.jpg

    在高级选项下,找到环境变量,打开它

    340e4eb8b43ea8dbf8993586189c2cf7deb21668.jpg

    设置path属性,点击编辑

    125ed0ecd3d969754c17232dd243040149fe0968.jpg

    我们将这个路径添加到path中,点击确定按钮

    059057299a8839132136235a26bcbe2f46707c68.jpg

    打开cmd,我们试试输入easy_install,假如看到下面的提示,说明你安装成功

    de9bfa3b3b8602219c845ce2d8bbf82065fb7268.jpg

    展开全文
  • setuptools-2.2.zip

    2020-04-26 10:48:18
    abaqus版本较低,故需要较低版本的setuptools,此版本亲测有效,在安装其他模块前需要先安装setuptools,具体请看我的博客。
  • setuptools-40.2.0.zip

    2020-02-21 13:58:31
    setuptools-40.2.0.zip离线安装包,用于安装Python2.7版本的相关依赖模块安装时使用到的安装文件
  • setuptools-41.2.0.zip

    2019-08-28 09:45:52
    setuptools-41.2.0.zip
  • setuptools

    2018-12-04 15:31:54
    unzip setuptools-40.6.2.zip cd setuptools-40.6.2 python setup.py install
  • setuptools下载安装

    千次阅读 2020-07-12 19:44:11
    setuptools下载安装 *第一步,登录网址:https://pypi.org/project/setuptools/#files并下载压缩包。 第二步,将下载下来的压缩包解压到桌面。 第三步,按住shift键+鼠标右键进入命令行窗口。 第四步,在命令行...

    setuptools的下载安装

    *第一步,登录网址:https://pypi.org/project/setuptools/#files并下载压缩包。
    在这里插入图片描述第二步,将下载下来的压缩包解压到桌面。
    在这里插入图片描述在这里插入图片描述第三步,按住shift键+鼠标右键进入命令行窗口。
    在这里插入图片描述在这里插入图片描述

    第四步,在命令行窗口输入"python setup.py install",按回车键,出现很长的字符串,说明已安装成功。

    在这里插入图片描述
    第五步,重新打开命令行窗口输入"easy_install",并按回车键如图所示,则可以正常使用。
    图1第六步,如若出现如下图所示,则需要设置环境变量。
    在这里插入图片描述第七步,找到"Scripts"文件的目录,在环境变量设置即可。

    在这里插入图片描述总结,setuptools的下载安装,按部就班就可安装成功,对于新手来说,最大的难点在于环境变量的设置。环境变量不是设置压缩包解压文件的目录,而是一个叫"Scripts"文件夹的目录。

    展开全文
  • python安装工具setuptools

    千次下载 热门讨论 2013-12-05 00:04:30
    python安装工具setuptools 这个工具是方便我们安装python下的一些其他库 附件下载setuptools-1.1.6.tar.gz,解压 cmd到解压目录,输入python ez_setup.py,就安装好了。
  • setuptools-42.0.2.zip

    2020-03-30 16:24:36
    setuptools工具
  • Python2.7.8 setuptools 下载及安装方法电脑配置:联想笔记本电脑 windows8系统Python版本:2.7.8本文章撰写时间:2014.12.11作者:陈东陈阅读说明:1.本文都是先解释,后放图片;2.文中斜体部分要么为需要输入的...

    Python2.7.8  setuptools 下载及安装方法

    电脑配置:联想笔记本电脑 windows8系统

    Python版本:2.7.8

    本文章撰写时间:2014.12.11

    作者:陈东陈

    阅读说明:

    1.本文都是先解释,后放图片;

    2.文中斜体部分要么为需要输入的内容,要么为电脑本来的一些功能名称

    Setuptools的好处就不用介绍了,总之一句话:安装了setuptools后python的各模块下载就比较简单了,不用再去汪洋大海中寻宝了。

    在官网上找半天也没找到setuptools的下载地址,另外各大软件下载网例如华军软件网,太平洋软件中心鱼龙混杂,找软件确实不易,于是整理该文章为各大网友。

    下载setuptools

    我以为在下载地址在红框里,但我没下下来,点击了没有反应。

    将其内容复制,保存为 ez_setup.py

    并放在python的安装路径下。

    我的python安装路径为:C:\Python27  。所以我把ez_setup.py放在python27文件下

    安装setuptools

    打开DOS 运行环境,输入cmd,点 确定

    出现DOS运行环境

    进入ez_setup.py的存放文件,我是存放在C:\Python27 处

    在DOS系统输入 cd C:\Python27 进入C:\Python27

    输入 python ez_setup.py, 进行安装setuptools, 并安装成功(在这一步有时候会出现urlopen error等问题,再重新输入 python ez_setup.py,说不定就可以了。

    设置环境变量

    在我们用setuptools安装python模块的时候需要配置环境变量

    单击 我的电脑-右键-属性  出现如下页面。点击 高级系统设置

    点击 环境变量

    在 系统变量 里找到 path

    找到 path

    双击 path, 将 C:\Python27\Scrips 的路径添加上去,两个地址之间用 ;(分号)做分隔符。

    然后点击所有的 确定 选项

    进行测试

    我们用setuptools来安装一个包nose

    进入 C:\Python27\Scrips 路径下:并输入 easy_install nose

    这种安装方式必须要联网,不联网就安装不了

    出现安装的情况,并显示安装成功

    在python页面检验是否安装nose模块,没有提示错误,说明安装成功

    展开全文
  • Python setuptools2.6

    2018-01-15 22:01:29
    适用于Python2.6的setuptools安装程序具体安装方式详见博文:http://blog.csdn.net/l1028386804/article/details/79069295
  • 官方离线安装包,测试可用。使用rpm -ivh [rpm完整包名] 进行安装
  • 如下图:安装成功后2、下载安装setuptools具体办法:进入页面:https://pypi.python.org/pypi/setuptools进入页面后点击"Windows (simplified)"链接 在其下面点击“ez_setup.py ”链接,进入...并把文件名修改为easy_...
  • linux setuptools安装

    2021-07-01 20:21:17
    下载压缩包 wget https://pypi.python.org/packages/source/s/setuptools/setuptools-0.6c11.tar.gz 解压 tar -xvf setuptools-0.6c11.tar.gz 进入解压后目录 python setup.py build sudo python setup.py install...
  • setuptools-41.0.0.zip

    2020-04-25 10:11:56
    Python 2.x/3.x 的setuptools-41.0.0安装包。setuptools是python distutils的加强版,使开发者构建和发布python包更加容易,特别是当包依赖于其他包时。用setuptools构建和发布的包与distutils发布的包类似。包的...
  • python下的setuptools带有一个easy_install的工具,在安装python的每三方模块、工具时很有用,也很方便。 安装setuptools前先安装pip,请参考:linux下pip的安装步骤及使用详解 1. 下载: 在它的官网可以下载到...
  • 这是 setuptools 自豪的一种安装方式...使用这种方式,用户只需要下载 ez_setup.py 并运行,就可以自动下载和安装适合用户当前 Python 版本的适当的 setuptools egg 文件(当然,用户需要 Python 2.3.5 以上的版本,6...
  • setuptools是 Python Enterprise Application Kit(PEAK)的一个副项目,它 是一组Python的 distutilsde工具的增强工具(适用于 Python 2.3.5 以上的版本,64 位平台则适用于 Python 2.4 以上的版本),可以让程序员更...
  • Setuptools:轻松下载、构建、安装、升级和卸载Python包
  • 下载setuptoolshttps://pypi.python.org/packages/2.7/s/setuptools/setuptools-0.6c11-py2.7.egg安装sh setuptools-.6c11-py2..egg安装完成如果出现一下问题easy_install: command not found原因可能你的python升级...
  • 资源来自pypi官网。 资源全名:setuptools-0.6c3.tar.gz
  • setuptools-33.1.1.zip

    2017-11-10 00:25:11
    windows下python安装第三方模块是报错“ImportError: No module named setuptools”,发现时未安装setuptools,按网上方法下载了ez_setup.py进行安装时又报错:“使用“2”个参数调用“DownloadFile”时发生异常:...
  • setuptools-46.1.3.zip

    2020-04-17 12:04:27
    来自pypi的setuptools工具,用于在创建虚拟环境时,人工去添加setup和pip。
  • 1.下载python setuptools安装包 下载地址:https://pypi.python.org/packages/source/s/setuptools/setuptools-2.0.tar.gz 2.解压安装包 tar zxvf setuptools-2.0.tar.gz  3.进入解压后的目录中 cd setuptools-2.0...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 26,844
精华内容 10,737
关键字:

setuptools下载